﻿//
// InputMatrix4x4F.xaml.h
// Declaration of the InputMatrix4x4F class
//

#pragma once

#include "InputMatrix4x4F.g.h"

namespace BitmapTransformExperiment
{
    [Windows::Foundation::Metadata::WebHostHidden]
    public ref class InputMatrix4x4F sealed
    {
    public:
        InputMatrix4x4F();

        event Windows::Foundation::EventHandler<Windows::Foundation::Collections::IVector<float>^>^ ValueChanged;

    private:
        float m_matrix[4][4];

        void OnSpinnerValueChanged(Platform::Object^ sender, Windows::UI::Xaml::Controls::Primitives::RangeBaseValueChangedEventArgs^ args);
        void OnResetButtonClick(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
    };
}
