﻿//
// Spinner.xaml.h
// Declaration of the Spinner class
//

#pragma once

#include "Spinner.g.h"

namespace BitmapTransformExperiment
{
    [Windows::Foundation::Metadata::WebHostHidden]
    public ref class Spinner sealed
    {
    public:
        Spinner();

    protected:
        virtual void OnApplyTemplate() override;
        virtual void OnValueChanged(double oldValue, double newValue) override;

    private:
        Windows::UI::Xaml::Controls::TextBlock^ txtblk;

        void OnUpButtonClick(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
        void OnDownButtonClick(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);

        void FormatValue(float number);
        Platform::String^ FormatValue(float number, int decimals);
    };
}
