﻿#pragma once

#include "DisplayMatrix4x4F.g.h"
#include "IMatrixDisplay.h"

namespace NonAffineStretch
{
    [Windows::Foundation::Metadata::WebHostHidden]
    public ref class DisplayMatrix4x4F sealed : IMatrixDisplay
    {
    public:
        DisplayMatrix4x4F();
        virtual void SetMatrix(const Platform::Array<float>^ matrix);

    private:
        void FormatAll(const Platform::Array<float>^ matrix);
        Platform::String^ Format(float number, int decimals);
    };
}
